@tailwind base;
@tailwind components;
@tailwind utilities;

[x-cloak] {
    display: none;
}

:root {
    --primary: #111827;
    --secondary: #6b7280;
    --accent: #ec4899;
}

.bg-primary { background-color: var(--primary); }
.text-accent { color: var(--accent); }

@keyframes fade-in {
    from {
        opacity: 0;
        transform: scale(0.95);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}

.animate-fade-in {
    animation: fade-in 0.2s ease-out;
}
